## ros-melodic-rokubimini-serial 0.5.8

=== debian/changelog ===
ros-melodic-rokubimini-serial (0.5.8-1stretch) stretch; urgency=high



 -- Bota Systems AG <sw-support@botasys.com>  Thu, 12 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-serial (0.5.7-1stretch) stretch; urgency=high

  * Release master 0.5.6
  * change minimum cmake version required to 3.0.2
  * Support clang format 8
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Tue, 03 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-serial (0.5.6-1stretch) stretch; urgency=high

  * Merge branch 'fix/cmake-policy-cmp0048' into 'master'
    change minimum cmake version required to 3.0.2
    Closes #29
    See merge request botasys/bota_driver!66
  * change minimum cmake version required to 3.0.2
  * Support clang format 8
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 02 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-serial (0.5.5-1stretch) stretch; urgency=high

  * Merge branch 'release/0.5.4' into 'melodic-devel'
    Release 0.5.4
    See merge request botasys/bota_driver!54
  * Release 0.5.4
  * Merge branch 'fix/printf-breaks-build-arm' into 'melodic-devel'
    Fix ROS_DEBUG() breaking ARM build on ROS buildfarm
    See merge request botasys/bota_driver!53
  * change %lu to %zu
  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Sun, 01 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-serial (0.5.4-1stretch) stretch; urgency=high

  * Merge branch 'fix/printf-breaks-build-arm' into 'melodic-devel'
    Fix ROS_DEBUG() breaking ARM build on ROS buildfarm
    See merge request botasys/bota_driver!53 <https://gitlab.com/botasys/bota_driver/-/merge_requests/53>
  * change %lu to %zu
  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52 <https://gitlab.com/botasys/bota_driver/-/merge_requests/52>
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Fri, 30 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-serial (0.5.3-1stretch) stretch; urgency=high

  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam

 -- Bota Systems AG <sw-support@botasys.com>  Thu, 29 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-serial (0.5.2-1stretch) stretch; urgency=high

  * Merge branch 'feature/increment-patch-version' into 'master'
    Increment patch version
    See merge request botasys/bota_driver!48 <https://gitlab.com/botasys/bota_driver/-/merge_requests/48>
  * Increment patch version
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Wed, 28 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-serial (0.5.1-1stretch) stretch; urgency=high



 -- Bota Systems AG <sw-support@botasys.com>  Mon, 26 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-serial (0.5.0-1stretch) stretch; urgency=high

  * Merge branch 'feature/move-publishers-to-instances'
  * Merge branch 'feature/remove-message-logger-dependency'
  * Merge branch 'feature/enable-configuration-object-serial' into 'master'
    Enable configuration object in serial
  * Merge branch 'fix/add-charachter_delay' into 'master'
    add inter-character delay 5ms
  * Merge branch 'feature/publish-frame-id' into 'master'
    Add frame_id in published data
  * Merge branch 'feature/rename-project' into 'master'
    Rename project to bota_driver
  * Merge branch 'feature/remove-serial-types-file' into 'master'
    Remove rokubimini_serial/types.hpp file
  * Merge branch 'feature/remove-yaml-tools-dep' into 'master'
    Remove yaml tools dependency
  * Merge branch 'feature/remove-cosmo-dependency' into 'master'
    Remove all dependencies apart from yaml_tools
  * Merge branch 'feature/add-init-step-serial'
  * rename setSoftwareReset() to setInitMode()
  * Merge branch 'feature/save-config-parameter'
  * add setSoftwareReset() in init() of serial
  * Merge branch 'feature/add-temperature-serial'
  * Merge branch 'feature/add-si-units-imu'
  * Merge branch 'feature/add-calibration-matrix-command'
  * reduce number of chars to 62 with %9.6f
  * add proposed changes
  * add temperature publishing functionality. tested locally
  * add first implementation. works on Serial, but it's still WIP
  * fix mispelled frame name
  * add temperature in serial Reading
  * add conversion to SI units for IMU data
  * add RokubiminiSerialImpl::setSensorCalibration() command. Tested locally.
  * Merge branch 'feature/remove-command-from-repo' into 'master'
    remove Command from repo. Tested locally
  * Merge branch 'feature/change-printed-messages' into 'master'
    Feature/change printed messages
  * Initial commit
    - change [ForceTorqueSensor::device_name] to [device_name] in RokubiminiSerialImpl.cpp
    - add bus name and/or device_name in RokubiminiEthercatSlave, RokubiminiEthercatBusManager and EthercatBusBase.
  * Merge branch 'add-abstract-filters' into 'master'
    Add configuration support in serial devices
  * fix bug in assignment operation of Configuration. replace INIT_MODE with ConnectionState in RokubiminiSerialImpl code
  * Merge branch 'add-baudrate-115200' into 'master'
    add missing baudrate
  * Merge branch 'change-info-to-debug' into 'master'
    change some INFO to DEBUG
  * Merge branch 'add-linter-test' into 'feature/rokubimini_serial'
    Add linter testing step in CI
  * add baud rate functionality: baud rate is taken from the system definitions (termios.h in Linux)
  * add clang-formated code. add support for multiple devices in rokubimini_cosmo
  * add doxygen documentation
  * fix CI build
  * first abstracted try
  * Contributors: Ilias Patsiaouras, Mike Karamousadakis


