## ros-melodic-rokubimini-serial 0.6.1

=== debian/changelog ===
ros-melodic-rokubimini-serial (0.6.1-1bionic) bionic; urgency=high

  * Throttle error message, set max attempts to open serial port.
  * remove shutting down because of too many timeouts
  * Handle time stamp as uint and not float
  * add missing files in install space
  * Show serial number in boot
  * Contributors: Ilias Patsiaouras, Lefteris Kotsonis, Martin Wermelinger, Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 27 Sep 2021 21:00:00 -0000

ros-melodic-rokubimini-serial (0.6.0-1bionic) bionic; urgency=high

  * Fix bugs
  * Acknowledgement of serial commands
  * Parsing of product name and boot messages of serial sensor
  * Publishing based on the timestamp of serial sensor
  * Automatically change to the maximum available baud rate
  * New launch interface - the topology is in the launch file
  * Feature - add format of commands based on command classes
  * Feature - add regex and command classes
  * Fix - mean wrench before reset
  * Contributors: Ilias Patsiaouras, Lefteris Kotsonis, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 21 Jun 2021 21:00:00 -0000

ros-melodic-rokubimini-serial (0.5.9-1bionic) bionic; urgency=high

  * add url to wiki
  * Feature - add reset services
  * Feature - add firmware update
  * Separated adapter from urdf and changed publishing topic names in bota_driver.
  * fix bug on startup related to modeState
  * Contributors: Ilias Patsiaouras, Lefteris Kotsonis, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Fri, 05 Feb 2021 22:00:00 -0000

ros-melodic-rokubimini-serial (0.5.8-1bionic) bionic; urgency=high



 -- Bota Systems AG <sw-support@botasys.com>  Thu, 12 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-serial (0.5.7-1bionic) bionic; urgency=high

  * Release master 0.5.6
  * change minimum cmake version required to 3.0.2
  * Support clang format 8
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Tue, 03 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-serial (0.5.6-1bionic) bionic; urgency=high

  * Merge branch 'fix/cmake-policy-cmp0048' into 'master'
    change minimum cmake version required to 3.0.2
    Closes #29
    See merge request botasys/bota_driver!66
  * change minimum cmake version required to 3.0.2
  * Support clang format 8
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 02 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-serial (0.5.5-1bionic) bionic; urgency=high

  * Merge branch 'release/0.5.4' into 'melodic-devel'
    Release 0.5.4
    See merge request botasys/bota_driver!54
  * Release 0.5.4
  * Merge branch 'fix/printf-breaks-build-arm' into 'melodic-devel'
    Fix ROS_DEBUG() breaking ARM build on ROS buildfarm
    See merge request botasys/bota_driver!53
  * change %lu to %zu
  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Sun, 01 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-serial (0.5.4-1bionic) bionic; urgency=high

  * Merge branch 'fix/printf-breaks-build-arm' into 'melodic-devel'
    Fix ROS_DEBUG() breaking ARM build on ROS buildfarm
    See merge request botasys/bota_driver!53 <https://gitlab.com/botasys/bota_driver/-/merge_requests/53>
  * change %lu to %zu
  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52 <https://gitlab.com/botasys/bota_driver/-/merge_requests/52>
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Fri, 30 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-serial (0.5.3-1bionic) bionic; urgency=high

  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam

 -- Bota Systems AG <sw-support@botasys.com>  Thu, 29 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-serial (0.5.2-1bionic) bionic; urgency=high

  * Merge branch 'feature/increment-patch-version' into 'master'
    Increment patch version
    See merge request botasys/bota_driver!48 <https://gitlab.com/botasys/bota_driver/-/merge_requests/48>
  * Increment patch version
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Wed, 28 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-serial (0.5.1-1bionic) bionic; urgency=high



 -- Bota Systems AG <sw-support@botasys.com>  Mon, 26 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-serial (0.5.0-1bionic) bionic; urgency=high

  * Merge branch 'feature/move-publishers-to-instances'
  * Merge branch 'feature/remove-message-logger-dependency'
  * Merge branch 'feature/enable-configuration-object-serial' into 'master'
    Enable configuration object in serial
  * Merge branch 'fix/add-charachter_delay' into 'master'
    add inter-character delay 5ms
  * Merge branch 'feature/publish-frame-id' into 'master'
    Add frame_id in published data
  * Merge branch 'feature/rename-project' into 'master'
    Rename project to bota_driver
  * Merge branch 'feature/remove-serial-types-file' into 'master'
    Remove rokubimini_serial/types.hpp file
  * Merge branch 'feature/remove-yaml-tools-dep' into 'master'
    Remove yaml tools dependency
  * Merge branch 'feature/remove-cosmo-dependency' into 'master'
    Remove all dependencies apart from yaml_tools
  * Merge branch 'feature/add-init-step-serial'
  * rename setSoftwareReset() to setInitMode()
  * Merge branch 'feature/save-config-parameter'
  * add setSoftwareReset() in init() of serial
  * Merge branch 'feature/add-temperature-serial'
  * Merge branch 'feature/add-si-units-imu'
  * Merge branch 'feature/add-calibration-matrix-command'
  * reduce number of chars to 62 with %9.6f
  * add proposed changes
  * add temperature publishing functionality. tested locally

